backend:
  name: github
  repo: scalka/fysio-body-balance
  branch: main

publish_mode: editorial_workflow
media_folder: "public/uploads"
public_folder: "/uploads"
local_backend: true

i18n:
  locales: [pl, en, nl]
  default_locale: nl
  structure: multiple_folders # => src/content/<collection>/<locale>/...

# --- Collections ---
collections:
  # GENERAL (homepage-like, one doc per locale)
  - name: "general"
    label: "General"
    draft: false
    folder: "src/content/general"
    format: "frontmatter"
    extension: "md"
    create: false
    i18n: true
    fields:
      - {
          label: "Read more Label",
          name: "read_more",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Logo",
          name: "logo",
          widget: "image",
          i18n: duplicate,
          required: false,
        }
      - {
          label: "SEO Description",
          name: "seo_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "Hero Title",
          name: "hero_title",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Hero Description",
          name: "hero_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - label: "Hero Image"
        name: "hero_image"
        widget: "object"
        i18n: true
        required: false
        fields:
          - {
              label: "Src",
              name: "src",
              widget: "image",
              i18n: duplicate,
              required: false,
            }
          - {
              label: "Alt",
              name: "alt",
              widget: "string",
              i18n: true,
              required: false,
            }
      - {
          label: "Treatments Title",
          name: "features_title",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Treatments Description",
          name: "features_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "Testimonials Heading",
          name: "testimonials_heading",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Testimonials Description",
          name: "testimonials_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "Testimonials CTA Label",
          name: "testimonials_cta",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Testimonials Show More button",
          name: "testimonials_show_more",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "CTA Title",
          name: "cta_title",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "CTA Description",
          name: "cta_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "CTA Button Label",
          name: "cta_button_label",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "CTA Button Href",
          name: "cta_button_href",
          widget: "string",
          i18n: duplicate,
          required: false,
        }
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          i18n: true,
          required: false,
        }

  - label: "Navigation"
    name: "navigation"
    folder: "src/content/navigation"
    format: "frontmatter"
    extension: "md"
    i18n: true
    summary: "{{items.0.label}}"
    draft: false
    fields:
      - label: "Menu Items"
        name: "items"
        widget: "list"
        i18n: true
        summary: "{{fields.label}}"
        fields:
          - { label: "Label", name: "label", widget: "string", i18n: true }
          - label: "Internal Page"
            name: "page"
            widget: "select"
            required: false
            i18n: duplicate
            options:
              - { label: "Home", value: "home" }
              - { label: "About", value: "about" }
              - { label: "Treatments", value: "treatments" }
              - { label: "Contact", value: "contact" }
              - { label: "Prices", value: "prices" }
              - { label: "Privacy Policy", value: "privacyPolicy" }
          - {
              label: "Custom URL",
              name: "url",
              widget: "string",
              i18n: duplicate,
              required: false,
              hint: "Leave empty when using an internal page reference.",
            }

  - label: "Contact"
    name: "contact"
    folder: "src/content/contact"
    format: "frontmatter"
    extension: "mdx"
    i18n: true
    fields:
      - {
          label: "Page Title",
          name: "page_title",
          widget: "string",
          i18n: true,
        }
      - {
          label: "Page Description",
          name: "page_description",
          widget: "text",
          i18n: true,
        }
      - {
          label: "SEO Description",
          name: "seo_description",
          widget: "text",
          i18n: true,
        }
      - {
          label: "Opening Hours Title",
          name: "opening_hours_title",
          widget: "string",
          i18n: true,
        }
      - label: "Opening Hours"
        name: "opening_hours"
        widget: "list"
        i18n: true
        fields:
          - { label: "Day", name: "day", widget: "string", i18n: true }
          - { label: "Hours", name: "hours", widget: "string", i18n: true }
      - {
          label: "Address Title",
          name: "address_title",
          widget: "string",
          i18n: true,
        }
      - {
          label: "Address first line",
          name: "address_first_line",
          widget: "text",
          i18n: true,
        }
      - {
          label: "Address second line",
          name: "address_second_line",
          widget: "text",
          i18n: true,
        }
      - {
          label: "Open map label",
          name: "address_show_map_label",
          widget: "text",
          i18n: true,
        }
      - {
          label: "Phone Title",
          name: "phone_title",
          widget: "string",
          i18n: true,
        }
      - label: "Contact Entries"
        name: "contact_entries"
        widget: "list"
        i18n: true
        fields:
          - { label: "Name", name: "name", widget: "string", i18n: true }
          - {
              label: "Phone",
              name: "phone",
              widget: "string",
              required: false,
              i18n: true,
            }
          - {
              label: "E-mail",
              name: "email",
              widget: "string",
              required: false,
              i18n: true,
            }
          - {
              label: "WhatsApp Link",
              name: "whatsapp_link",
              widget: "string",
              i18n: duplicate,
              required: false,
            }
      - {
          label: "Phone WhatsApp CTA",
          name: "phone_whatsapp_cta",
          widget: "string",
          i18n: true,
        }
      - {
          label: "Email Title",
          name: "email_title",
          widget: "string",
          i18n: true,
        }
      - {
          label: "Email Address",
          name: "email_address",
          widget: "string",
          i18n: true,
        }
      - {
          label: "Social Title",
          name: "social_title",
          widget: "string",
          i18n: true,
        }
      - label: "Social Links"
        name: "social_links"
        widget: "list"
        i18n: true
        fields:
          - { label: "Label", name: "label", widget: "string", i18n: true }
          - { label: "URL", name: "url", widget: "string", i18n: duplicate }
          - {
              label: "Icon",
              name: "icon",
              widget: "string",
              i18n: duplicate,
              required: false,
            }
      - {
          label: "Form Title",
          name: "form_title",
          widget: "string",
          i18n: true,
        }
      - {
          label: "Form Description",
          name: "form_description",
          widget: "text",
          i18n: true,
        }
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          i18n: true,
          required: false,
        }

  - label: "Pricing"
    name: "pricing"
    folder: "src/content/pricing"
    draft: false
    format: "frontmatter"
    extension: "md"
    i18n: true
    fields:
      - { label: "Title", name: "title", widget: "string", i18n: true }
      - { label: "Intro", name: "intro", widget: "text", i18n: true }
      - {
          label: "Rates Heading",
          name: "rates_title",
          widget: "string",
          i18n: true,
        }
      - label: "Rates"
        name: "rates"
        widget: "list"
        i18n: true
        fields:
          - { label: "Name", name: "name", widget: "string", i18n: true }
          - { label: "Price", name: "price", widget: "string", i18n: duplicate }
      - { label: "Body", name: "body", widget: "markdown", i18n: true }

  # POLICIES (one doc per locale)
  - label: "Policies"
    name: "policies"
    folder: "src/content/policies"
    format: "frontmatter"
    extension: "md"
    i18n: true
    fields:
      - {
          label: "Title",
          name: "title",
          widget: "string",
          i18n: true,
          required: true,
        }
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          i18n: true,
          required: true,
        }

  # TREATMENTS (many per locale)
  - label: "Treatments"
    name: "treatments"
    folder: "src/content/treatments"
    format: "frontmatter"
    extension: "md"
    create: true
    i18n: true
    slug: "{{slug}}"
    fields:
      - {
          label: "Title",
          name: "title",
          widget: "string",
          i18n: true,
          required: true,
        }
      - {
          label: "Order",
          name: "order",
          widget: "number",
          required: true,
          i18n: duplicate,
        }
      - label: "Images"
        name: "images"
        widget: "list"
        i18n: true
        required: false
        fields:
          - {
              label: "Src",
              name: "src",
              widget: "image",
              i18n: duplicate,
              required: false,
            }
          - {
              label: "Alt",
              name: "alt",
              widget: "string",
              i18n: true,
              required: false,
            }
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          i18n: true,
          required: true,
        }

  - label: "Partners"
    name: "partners"
    folder: "src/content/partners"
    format: "frontmatter"
    extension: "md"
    create: true
    i18n: true
    slug: "{{slug}}"
    fields:
      - {
          label: "Title",
          name: "title",
          widget: "string",
          i18n: true,
          required: true,
        }
      - {
          label: "Website",
          name: "website",
          widget: "string",
          i18n: duplicate,
          required: true,
        }
      - label: "Logo"
        name: "logo"
        widget: "object"
        i18n: true
        required: true
        fields:
          - {
              label: "Src",
              name: "src",
              widget: "image",
              i18n: duplicate,
              required: true,
            }
          - {
              label: "Alt",
              name: "alt",
              widget: "string",
              i18n: true,
              required: true,
            }
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          i18n: true,
          required: true,
        }

  # TEAM (many per locale)
  - label: "Team"
    name: "team"
    folder: "src/content/team"
    format: "frontmatter"
    extension: "md"
    create: true
    i18n: true
    identifier_field: name
    slug: "{{slug}}"
    fields:
      - {
          label: "Name",
          name: "name",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Title",
          name: "title",
          widget: "string",
          i18n: true,
          required: false,
        }
      - label: "Avatar"
        name: "avatar"
        widget: "object"
        i18n: true
        required: false
        fields:
          - {
              label: "Src",
              name: "src",
              widget: "image",
              i18n: duplicate,
              required: false,
            }
          - {
              label: "Alt",
              name: "alt",
              widget: "string",
              i18n: true,
              required: false,
            }
      - {
          label: "Publish Date",
          name: "publishDate",
          widget: "datetime",
          required: false,
          i18n: duplicate,
        }
      - {
          label: "Short Intro",
          name: "shortIntro",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          i18n: true,
          required: false,
        }

  # ABOUT (one doc per locale)
  - label: "About"
    name: "about"
    folder: "src/content/about"
    format: "frontmatter"
    extension: "md"
    create: false
    i18n: true
    fields:
      - {
          label: "Page Title",
          name: "page_title",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Page Description",
          name: "page_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "SEO Description",
          name: "seo_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "Mission Heading",
          name: "mission_heading",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Mission Paragraph",
          name: "mission_paragraph",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "Partners Title",
          name: "partners_title",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Partners Description",
          name: "partners_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          i18n: true,
          required: false,
        }

  # TREATMENTS page (one doc per locale)
  - label: "Treatments page"
    name: "treatmentsPage"
    folder: "src/content/treatmentsPage"
    format: "frontmatter"
    extension: "md"
    create: false
    i18n: true
    fields:
      - {
          label: "Page Title",
          name: "page_title",
          widget: "string",
          i18n: true,
          required: false,
        }
      - {
          label: "Page Description",
          name: "page_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "SEO Description",
          name: "seo_description",
          widget: "text",
          i18n: true,
          required: false,
        }
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          i18n: true,
          required: false,
        }

  - label: "Testimonials"
    name: "testimonials"
    folder: "src/content/testimonials"
    format: "frontmatter"
    extension: "md"
    create: true
    i18n: true
    identifier_field: author
    slug: "{{fields.author}}"
    fields:
      - {
          label: "Author",
          name: "author",
          widget: "string",
          i18n: true,
          required: true,
        }
      - {
          label: "URL",
          name: "url",
          widget: "string",
          i18n: duplicate,
          required: false,
        }
      - {
          label: "Date",
          name: "date",
          widget: "datetime",
          date_format: "YYYY-MM-DD",
          time_format: false,
          required: false,
          i18n: duplicate,
        }
      - {
          label: "Body",
          name: "body",
          widget: "markdown",
          i18n: true,
          required: true,
        }
